Get a domain summary
curl --request GET \
--url https://app.ilitylabs.com/v1/domains/{slug}/summary \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.ilitylabs.com/v1/domains/{slug}/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.ilitylabs.com/v1/domains/{slug}/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"pages_discovered": 123,
"pages_scanned": 123,
"pages_unscanned": 123,
"scan_count": 123,
"open_count": 123,
"resolved_count": 123,
"total_count": 123,
"wcag_open_count": 123,
"best_practice_open_count": 123,
"severity_breakdown": {
"critical": 123,
"serious": 123,
"moderate": 123,
"minor": 123
},
"status_breakdown": {
"open": 123,
"resolved": 123,
"wont_fix": 123,
"false_positive": 123
},
"accessibility_breakdown": {
"A": {
"critical": 123,
"serious": 123,
"moderate": 123,
"minor": 123
},
"AA": {
"critical": 123,
"serious": 123,
"moderate": 123,
"minor": 123
},
"AAA": {
"critical": 123,
"serious": 123,
"moderate": 123,
"minor": 123
}
},
"last_scan": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
},
"score": 123,
"band": "green",
"has_blocking": true,
"coverage": {
"covered_criteria": 123,
"target_criteria": 123,
"coverage_pct": 123,
"evaluated": 123,
"passed": 123,
"failed": 123,
"needs_review": 123,
"inapplicable": 123
}
}{
"detail": "<string>",
"reason": "<string>"
}Domains
Get a domain summary
Returns the domain’s accessibility score and band, open issue counts by severity and WCAG level, page counts, and its last scan.
GET
/
v1
/
domains
/
{slug}
/
summary
Get a domain summary
curl --request GET \
--url https://app.ilitylabs.com/v1/domains/{slug}/summary \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.ilitylabs.com/v1/domains/{slug}/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.ilitylabs.com/v1/domains/{slug}/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"pages_discovered": 123,
"pages_scanned": 123,
"pages_unscanned": 123,
"scan_count": 123,
"open_count": 123,
"resolved_count": 123,
"total_count": 123,
"wcag_open_count": 123,
"best_practice_open_count": 123,
"severity_breakdown": {
"critical": 123,
"serious": 123,
"moderate": 123,
"minor": 123
},
"status_breakdown": {
"open": 123,
"resolved": 123,
"wont_fix": 123,
"false_positive": 123
},
"accessibility_breakdown": {
"A": {
"critical": 123,
"serious": 123,
"moderate": 123,
"minor": 123
},
"AA": {
"critical": 123,
"serious": 123,
"moderate": 123,
"minor": 123
},
"AAA": {
"critical": 123,
"serious": 123,
"moderate": 123,
"minor": 123
}
},
"last_scan": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
},
"score": 123,
"band": "green",
"has_blocking": true,
"coverage": {
"covered_criteria": 123,
"target_criteria": 123,
"coverage_pct": 123,
"evaluated": 123,
"passed": 123,
"failed": 123,
"needs_review": 123,
"inapplicable": 123
}
}{
"detail": "<string>",
"reason": "<string>"
}Authorizations
Response
OK